#ifndef WEBPAGE_H
#define WEBPAGE_H

#include "./gui/webviewdefs.h"
#include "./gui/webviewincludes.h"

namespace RepoIndex {

class WebPage : public REPOINDEX_WEB_PAGE
{
    Q_OBJECT
public:
    WebPage(REPOINDEX_WEB_VIEW *view = nullptr);

public Q_SLOTS:
    void openUrlExternal(const QUrl &url);

protected:
    REPOINDEX_WEB_PAGE *createWindow(WebWindowType type);

private Q_SLOTS:
    void delegateToExternalBrowser(const QUrl &url);

private:
    REPOINDEX_WEB_VIEW *m_view;
};

}

#endif // WEBPAGE_H
